<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (version 1.7.0_51) on Sun Apr 26 10:43:51 CEST 2015 -->
<title>Banken</title>
<meta name="date" content="2015-04-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Banken";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/BLZDatei.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html" target="_top">Frames</a></li>
<li><a href="Banken.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.jost_net.OBanToo.SEPA.BankenDaten</div>
<h2 title="Class Banken" class="title">Class Banken</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.jost_net.OBanToo.SEPA.BankenDaten.Banken</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Banken</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.util.HashMap&lt;java.lang.String,<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html#bankcodealt">bankcodealt</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.util.HashMap&lt;java.lang.String,<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html#bankcodeneu">bankcodeneu</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.util.ArrayList&lt;<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html#banken">banken</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html#Banken()">Banken</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html#add(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">add</a></strong>(java.lang.String&nbsp;kennzeichen,
   java.lang.String&nbsp;name,
   java.lang.String&nbsp;blz,
   java.lang.String&nbsp;bic,
   java.lang.String&nbsp;pruefziffernmethode,
   java.lang.String&nbsp;ibanregel,
   java.lang.String&nbsp;hinweisloeschung)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html#getBankByBIC(java.lang.String)">getBankByBIC</a></strong>(java.lang.String&nbsp;bic)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html#getBankByBLZ(java.lang.String)">getBankByBLZ</a></strong>(java.lang.String&nbsp;blz)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html#getBanken()">getBanken</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html#getByGruppe(java.lang.String)">getByGruppe</a></strong>(java.lang.String&nbsp;gruppe)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html#getByPruefziffernMethode(java.lang.String)">getByPruefziffernMethode</a></strong>(java.lang.String&nbsp;methode)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="banken">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>banken</h4>
<pre>private static&nbsp;java.util.ArrayList&lt;<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt; banken</pre>
</li>
</ul>
<a name="bankcodealt">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bankcodealt</h4>
<pre>private static&nbsp;java.util.HashMap&lt;java.lang.String,<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt; bankcodealt</pre>
</li>
</ul>
<a name="bankcodeneu">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>bankcodeneu</h4>
<pre>private static&nbsp;java.util.HashMap&lt;java.lang.String,<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt; bankcodeneu</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Banken()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Banken</h4>
<pre>public&nbsp;Banken()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBankByBLZ(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBankByBLZ</h4>
<pre>public static&nbsp;<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&nbsp;getBankByBLZ(java.lang.String&nbsp;blz)</pre>
</li>
</ul>
<a name="getBankByBIC(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBankByBIC</h4>
<pre>public static&nbsp;<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&nbsp;getBankByBIC(java.lang.String&nbsp;bic)</pre>
</li>
</ul>
<a name="add(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>private static&nbsp;void&nbsp;add(java.lang.String&nbsp;kennzeichen,
       java.lang.String&nbsp;name,
       java.lang.String&nbsp;blz,
       java.lang.String&nbsp;bic,
       java.lang.String&nbsp;pruefziffernmethode,
       java.lang.String&nbsp;ibanregel,
       java.lang.String&nbsp;hinweisloeschung)</pre>
</li>
</ul>
<a name="getByPruefziffernMethode(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getByPruefziffernMethode</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt;&nbsp;getByPruefziffernMethode(java.lang.String&nbsp;methode)</pre>
</li>
</ul>
<a name="getByGruppe(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getByGruppe</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt;&nbsp;getByGruppe(java.lang.String&nbsp;gruppe)</pre>
</li>
</ul>
<a name="getBanken()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getBanken</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;<a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten">Bank</a>&gt;&nbsp;getBanken()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/Bank.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../de/jost_net/OBanToo/SEPA/BankenDaten/BLZDatei.html" title="class in de.jost_net.OBanToo.SEPA.BankenDaten"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/jost_net/OBanToo/SEPA/BankenDaten/Banken.html" target="_top">Frames</a></li>
<li><a href="Banken.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
